/***************************************************************************
 * cppDlg.h
 *
 *  Copyright (c)2005 Voicent Communications, Inc, All Rights Reserved
 *  Voicent Product Support Services, Developer Support Tool Integration
 *
 *  THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND,
 *  EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 ***************************************************************************/
#if !defined(AFX_CPPDLG_H__343C8756_8874_4965_9501_ABB473064C95__INCLUDED_)
#define AFX_CPPDLG_H__343C8756_8874_4965_9501_ABB473064C95__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CCppDlg dialog

class CCppDlg : public CDialog
{
// Construction
public:
	CCppDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CCppDlg)
	enum { IDD = IDD_CPP_DIALOG };
	CString	m_filename;
	CString	m_phoneno;
	CString	m_reqId;
	CString	m_text;
	int		m_text_or_audio;
	CString	m_status;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCppDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	class Voicent* m_pVoicent;

	// Generated message map functions
	//{{AFX_MSG(CCppDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBrowse();
	afx_msg void OnCallNow();
	afx_msg void OnCallStatus();
	afx_msg void OnCallRemove();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CPPDLG_H__343C8756_8874_4965_9501_ABB473064C95__INCLUDED_)
